Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 234579 - DECnet endnode routing broken
Summary: DECnet endnode routing broken
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 6
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Steve Whitehouse
QA Contact: Brian Brock
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-03-30 09:17 UTC by Steve Whitehouse
Modified: 2007-11-30 22:12 UTC (History)
3 users (show)

Fixed In Version: 2.6.20-1.2944
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-04-11 21:13:31 UTC


Attachments (Terms of Use)
Patch to change return value to rules lookup (deleted)
2007-03-30 09:17 UTC, Steve Whitehouse
no flags Details | Diff

Description Steve Whitehouse 2007-03-30 09:17:35 UTC
During a recent conversion of DECnet to the common fib_rules code, the return
value from the lookup function changed in the case of there being no rules
except the default and no routes in the default table. This resulted in the
normal endnode routing algorithm being (wrongly) skipped in this case.

A patch has been submitted upstream and I'm attaching it to this bug too.

Once davem has approved, I'll send it to Chuck Ebbert for FC-6.

Comment 1 Steve Whitehouse 2007-03-30 09:17:39 UTC
Created attachment 151260 [details]
Patch to change return value to rules lookup

Comment 2 David Miller 2007-03-30 20:35:40 UTC
I applied the patch and will push also to the relevant -stable
branches (if any) later today.



Note You need to log in before you can comment on or make changes to this bug.